"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTokenId = exports.toInternalTokenId = exports.extractTokenContractId = void 0;
/**
 * internal use: remove ft: prefix from token IDs
 *
 * @ignore
 */
function extractTokenContractId(tokenId) {
    if (!tokenId.includes(':')) {
        return tokenId;
    }
    return tokenId.split(':')[1];
}
exports.extractTokenContractId = extractTokenContractId;
/**
 * internal use: add ft: prefix to token IDs, used only in createMarket
 *
 * TODO: remove when createMarket takes ft without prefix
 *
 * @ignore
 * @deprecated
 */
function toInternalTokenId(token) {
    if (typeof token === 'string') {
        if (token.toUpperCase() === 'NEAR' || token.startsWith('ft:')) {
            return token;
        }
        return `ft:${token}`;
    }
    else {
        if (token.type === 'near') {
            return 'NEAR';
        }
        else if (token.type === 'ft') {
            return `ft:${token.account_id}`;
        }
        else {
            throw new Error('MFT unimplemented');
        }
    }
}
exports.toInternalTokenId = toInternalTokenId;
/**
 * internal use: get token ID from on-chain "token type" struct
 *
 * TODO: remove when the token type struct gets its own view method
 *
 * @ignore
 * @deprecated
 */
function getTokenId(tokenType) {
    if (tokenType.type === 'near') {
        return 'NEAR';
    }
    return tokenType.account_id;
}
exports.getTokenId = getTokenId;
