import BN from 'bn.js';
import { Contract } from 'near-api-js';
import { Orderbook } from '..';
import { L2Order } from '../types';
export declare const ZERO: BN;
export declare const ONE_TGAS: BN;
export declare const NEAR_DECIMALS = 24;
export declare function nearAmount(amount: number): BN;
export declare type PartialBy<T, K extends keyof T> = Pick<Partial<T>, K> & Omit<T, K>;
export declare type AnyExcept<T = any, E = never> = T extends E ? never : T;
export declare type ContractWithMethods<V extends ReadonlyArray<string> = [], C extends ReadonlyArray<string> = []> = Contract & {
    [k in V[number]]: (...args: any[]) => any;
} & {
    [k in C[number]]: (...args: any[]) => any;
};
export declare function groupOrdersByPriceLevel(orders: L2Order[]): L2Order[];
/**
 * Compute the midmarket price of an orderbook. Price is undefined if only one
 * side has open orders.
 */
export declare function getMidmarketPrice({ asks, bids }: Orderbook): BN | undefined;
